/*!
 * Copyright (c) 2024 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 */

import '../../less/astro/main.less';
import '../../js/bootstrap';

import type { StoryObj } from '@storybook/html';
import { container, html } from '../utils';

export default {
  title: 'Layout/Toolbar',
  decorators: [container('container-fluid')],
};

type Story = StoryObj<any>;

export const Toolbar: Story = {
  render: (_args) => {
    return html`
      <header class="header-wrapper">
        <div class="header-toolbar">
          <div class="container">
            <div class="header-toolbar-row">
              <div class="toolbar-btn toolbar-search-btn dropdown">
                <button class="dropdown-toggle" id="toolbar-search" type="button" data-toggle="dropdown" tabindex="0" aria-label="Search">
                <i class="fa fa-search fa-lg" aria-role="none"></i></button>
                <div class="toolbar-search-bar-wrapper dropdown-menu dropdown-menu-right" aria-labelledby="toolbar-search">
                  <form action="https://www.eclipse.org/home/search" method="get">
                    <div class="search-bar"><input class="search-bar-input" name="q" placeholder="Search">
                      <button><i class="fa fa-search" type="submit"></i></button>
                    </div>
                  </form>
                </div>
              </div>
              <div class="toolbar-btn toolbar-user-menu-btn dropdown">
                <button class="dropdown-toggle" id="toolbar-user-menu" type="button" data-toggle="dropdown" tabindex="0" aria-label="User Menu">
                <i class="fa fa-user fa-lg"></i></button>
                <ul class="toolbar-user-menu dropdown-menu dropdown-menu-right text-center" aria-labelledby="toolbar-user-menu">
                  <li>
                    <a href="https://accounts.eclipse.org/user">
                      <i class="fa fa-user"></i>
                      View My Account
                    </a>
                  </li>
                  <li>
                    <a href="https://accounts.eclipse.org/user/edit">
                      <i class="fa fa-edit"></i>
                      Edit My Account
                    </a>
                  </li>
                  <li>
                    <a class="toolbar-manage-cookies">
                      <i class="fa fa-wrench"></i>
                      Manage Cookies
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </header>
    `;
  }
}

